View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000877Ecere SDKidepublic2013-04-26 19:072013-08-07 03:33
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000877: Support for Windows .rc files
DescriptionInvoke 'windres file.rc obj/$(...)/file.o' and link with the produced .o
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000757)
redj (administrator)
2013-04-27 05:48
edited on: 2013-05-20 23:00

implemented in https://github.com/ecere/sdk/commit/fc19a12a8229a7b802b31f84a1200d8ff0663409 [^]

(0000783)
jerome (administrator)
2013-05-03 16:22

2 things missing:

- When in *forced* '32 bit', pass: -F pe-i386
- Show as 'resources.rc' , not resources.o in build log
(0000788)
jerome (administrator)
2013-05-04 16:14

The architecture flag fix isn't exactly what we want.

We don't want to check TARGET_ARCH, which will be set even if no ARCH was specified and we're using the compiler default.

We probably want to check ARCH, which should either be unset or set to x32 or x64.
If set to x32, we want to pass: -F pe-i386.
If set to x64, we want to pass: -F pe-x86-64
If unset, we don't want to use any flags.
(0000791)
redj (administrator)
2013-05-05 19:49
edited on: 2013-05-20 23:04

latest fixes in https://github.com/ecere/sdk/commit/d694eea103a51fd3bc71f9a305387c1da4764522 [^]

(0000835)
jerome (administrator)
2013-05-10 20:47

Pushed to master.

- Issue History
Date Modified Username Field Change
2013-04-26 19:07 jerome New Issue
2013-04-26 19:07 redj Status new => assigned
2013-04-26 19:07 redj Assigned To => redj
2013-04-27 05:48 redj Status assigned => resolved
2013-04-27 05:48 redj Fixed in Version => 0.44.1 64
2013-04-27 05:48 redj Resolution open => fixed
2013-04-27 05:48 redj Note Added: 0000757
2013-04-27 06:30 redj Note Edited: 0000757
2013-05-03 16:22 jerome Note Added: 0000783
2013-05-03 16:22 jerome Status resolved => assigned
2013-05-04 05:29 redj Status assigned => resolved
2013-05-04 05:29 redj Note Added: 0000787
2013-05-04 16:14 jerome Note Added: 0000788
2013-05-04 16:14 jerome Status resolved => assigned
2013-05-05 19:49 redj Status assigned => resolved
2013-05-05 19:49 redj Note Added: 0000791
2013-05-05 20:59 redj Note Edited: 0000791
2013-05-06 01:49 redj Note Edited: 0000791
2013-05-06 01:50 redj Note Edited: 0000791
2013-05-10 20:47 jerome Status resolved => closed
2013-05-10 20:47 jerome Note Added: 0000835
2013-05-20 23:00 redj Note Edited: 0000757
2013-05-20 23:04 redj Note Edited: 0000791
2013-05-20 23:04 redj Note Deleted: 0000787
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker